%define name	 snack
%define version	 2.2.5
%define release  1mdk

%define libname %mklibname %name

%define pythonver 2.3

Summary:	Script-driven sound processing toolkit.
Name:		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Group: 		Sound
URL: 		http://www.speech.kth.se/snack/
Source: 	%{name}%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	tcl tk libogg-devel libvorbis-devel XFree86-devel

%description
Snack is a sound processing toolkit designed as an extension
to a scripting language. Snack currently works with the scripting
languages Tcl/Tk, Python, and Ruby.

Snack has commands to play, record, process, and visualize sound.
Snack provides high level sound objects, with flexible storage management,
and streaming support. It handles most common sound file formats.
The visualization canvas item types update in real-time and can output
postscript. The same scripts run on Unix (Linux, Solaris, HP-UX, IRIX,
FreeBSD, NetBSD), Macintosh, and Windows 95/98/NT/2000/XP.

%package -n %libname
Summary:	Script-driven sound processing toolkit.
Group:		Sound
Provides:	%name = %version
Obsoletes:	%name = %version

%description -n %libname
Snack is a sound processing toolkit designed as an extension
to a scripting language. Snack currently works with the scripting
languages Tcl/Tk, Python, and Ruby.

Snack has commands to play, record, process, and visualize sound.
Snack provides high level sound objects, with flexible storage management,
and streaming support. It handles most common sound file formats.
The visualization canvas item types update in real-time and can output
postscript. The same scripts run on Unix (Linux, Solaris, HP-UX, IRIX,
FreeBSD, NetBSD), Macintosh, and Windows 95/98/NT/2000/XP.

%prep
%setup -q -n %{name}%{version}

%build
cd unix
%configure2_5x --with-tcl=/usr/lib --with-tk=/usr/lib --with-ogg-include=/usr/include/ogg --with-ogg-lib=/usr/lib
%make TCL_INCPATH=/usr/include TK_INCPATH=/usr/include CC="gcc $RPM_OPT_FLAGS"
%make TCL_INCPATH=/usr/include TK_INCPATH=/usr/include CC="gcc $RPM_OPT_FLAGS" libsnackogg.so

%install
chmod 644 doc/*
chmod 755 python/*.py
cd unix
mkdir -p $RPM_BUILD_ROOT/%_libdir/%name%version
mkdir -p $RPM_BUILD_ROOT/%_libdir/python%pythonver/site-packages
cp *.so $RPM_BUILD_ROOT/%_libdir/%name%version
cp *.tcl $RPM_BUILD_ROOT/%_libdir/%name%version
cp *.a $RPM_BUILD_ROOT/%_libdir
cp ../python/*.py $RPM_BUILD_ROOT/%_libdir/python%pythonver/site-packages

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %libname
%defattr(-,root,root)
%doc changes COPYING README doc/*
%_libdir/*.a
%_libdir/%name%version
%_libdir/python%pythonver/site-packages/*

%changelog
* Wed Jun 2 2004 Austin Acton <austin@mandrake.org> 2.2.5-1mdk
- 2.2.5
- configure 2.5
- fix some permissions

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.2.2-3mdk
- rebuild for new python

* Tue Jul 15 2003 Austin Acton <aacton@yorku.ca> 2.2.2-2mdk
- DIRM

* Fri Jun 6 2003 Austin Acton <aacton@yorku.ca> 2.2.2-1mdk
- 2.2.2

* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 2.2-2mdk
- buildrequires and mklibname

* Sat Jan 11 2003 Austin Acton <aacton@yorku.ca> 2.2-1mdk
- initial package
- todo: add NIST/sphere library
